### Constructor

# EDataServer Module new

since: 3.4

#### Declaration [src]

    EModule*
    e_module_new (
      const gchar* filename
    )

#### Description [src]

Creates a new `EModule` that will load the specific shared library when in use.

Available since: 3.4

#### Parameters

`filename`

  Type: `const gchar*`

  Filename of the shared library module.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EModule`

A new `EModule` for `filename`.

The caller of the function takes ownership of the data, and is responsible for freeing it.